Jump to content

Confused : Where do i download the latest version of Near Infinity?


Question

Recommended Posts

Im trying to follow this tutorial to edit two handed weapons to 2d6 damage : https://forums.beamdog.com/discussion/25517/mod-tutorial-how-to-make-items

 

Except that it tells me to download near infinity from this page : http://www.shsforums.net/topic/45358-nearinfinity/

 

Which does not seem to include any download links for near infinity at all...the OP says he attached the latest version to the post but i see no attachments at all...

 

So I tried downloading near infinity from here : https://github.com/FredSRichardson/NearInfinity/releases

 

I downloaded the .jar, put it in my BG 1 : EE folder, but when I try to run it, the .jar freaks out and says that it could not find the main class.

 

This is very confusing, where do i go to download the compiled, latest version of near infinity?

Link to post

Have you installed Java? NI needs it to run. OP in that SHS thread has a link to download it. Putting NI to game folder, by the way, is not necessary :)

 

If you have Java installed and NI still don't work for you, just ask in that thread - Argent is pretty active and will have the best knowledge of NI and how to make it run.

Link to post

Make sure you have installed a Java Runtime Environment (JRE) of version 8 or higher. If it has been installed correctly you should be able to start NI simply by double-clicking on NearInfinity.jar (as you would do when starting a regular executable). You don't have to unpack the .jar file.

 

I have java 9.04 installed and i can run other java files fine. This is the error btw (See attached).

post-922-0-80636200-1533846735_thumb.jpg

Link to post

I have heard of this issue only in conjunction with running an older Java version than the tool has been compiled with. The file provided by the links above is compiled with Java 8, so it should run fine with Java 9 or later.

 

It could be a Java configuration issue on your system, or maybe a security tool is interfering with execution. Are you able to run the file from the command prompt with the following command?

java -jar NearInfinity.jar

Edit: Could you also run the following command in the command prompt?

java -version
It should return version 1.9 or higher in your case. Edited by argent77
Link to post

Edit: Could you also run the following command in the command prompt?

java -version
It should return version 1.9 or higher in your case.

 

And if you want to run it as a .bat, you want to put a pause in that so to actually see the return.. aka just:

java -version
pause
Link to post

C:\Users\Question>java -version
java version "9.0.4"
Java SE Runtime Environment (build 9.0.4+11)
Java HotSpot 64-Bit Server VM (build 9.0.4+11, mixed mode)

 

C:\Users\Question>java -jar NearInfinity.jar
Error: Unable to access jarfile NearInfinity.jar

Link to post

I would also go with Jarno's suggestion first.

Does NearInfinity.jar actually exist in C:\Users\Question? You have to specify the full path to the file if it's located in another folder. A simple drag&drop of the file from the file manager to the command prompt will save you some work.

Edited by argent77
Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...